Summary:	Evolution extension for Exchange Web Services
Name:		evolution-ews
Version:	3.12.4
Release:	1
License:	LGPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/3.12/%{name}-%{version}.tar.xz
# Source0-md5:	e90cc910675f7ece4a62264c4793fc2c
URL:		http://projects.gnome.org/evolution/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.9
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libical-devel
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	libsoup >= 2.42.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%package devel
Summary:	Development files for ews library
Group:		Development/Libraries
Requires:	evolution-data-server-devel >= %{version}
Requires:	libsoup-devel >= 2.42.0

%description devel
This package provides development files for ews library.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution/*/modules/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/evolution-data-server/libeews-1.2.so*
%attr(755,root,root) %{_libdir}/evolution-data-server/libewsutils.so*
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution/3.12/modules/module-ews-configuration.so
%{_datadir}/evolution/3.12/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews

%files devel
%defattr(644,root,root,755)
%{_includedir}/evolution-data-server/ews
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Thu Jul 17 2014 Łukasz Kieś <kiesiu@pld-linux.org> 4e1e760
- updated to 3.12.4

* Tue Apr 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> f4ca529
- Update to 3.12.0

* Tue Feb 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> ce60ac9
- updated to 3.10.4

* Mon Feb 03 2014 Łukasz Kieś <kiesiu@pld-linux.org> 959818d
- updated to 3.10.3

* Sun Oct 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 14bc504
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 568812a
- Update to 3.10.0

* Mon Jun 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3778280
- updated to 3.8.3

* Sun May 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> aac3837
- updated to 3.8.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> e75dab9
- updated to 3.8.1

* Thu Mar 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> d8c134a
- updated to 3.8.0

* Mon Mar 11 2013 Łukasz Kieś <kiesiu@pld-linux.org> b91bb50
- updated to 3.6.4

* Thu Jan 24 2013 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> eabcbbf
- updated to 3.6.3

* Mon Dec 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> c9c5468
- updated to 3.6.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 85eeaf5
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Mon Oct 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 16acc33
- updated to 3.6.0

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> ae37105
- updated to 3.4.4

* Sat Jun 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> ce37bcb
- updated to 3.4.3

* Thu Jun 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> d1e5fe8
- updated to 3.4.2

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 78f137a
- updated to 3.4.1

* Thu Mar 29 2012 Marcin Banasiak <marcin.banasiak@gmail.com> df550ad
- updated to 3.4.0

